Loading...
Searching...
No Matches
seqan3::trace_directions_printer< detail::trace_directions > Struct Reference
Sequence Alignment » Matrix

Prints trace_directions as ascii or as utf8 to output stream. More...

`#include <seqan3/alignment/matrix/detail/trace_directions.hpp>`

Inheritance diagram for seqan3::trace_directions_printer< detail::trace_directions >:
[legend]

## Public Member Functions

template<typename stream_t>
constexpr void | operator() (stream_t &stream, detail::trace_directions const trace) const
| Prints the trace directions into the given stream.
template<typename stream_t> requires detail::is_type_specialisation_of_v<stream_t, debug_stream_type>
constexpr void | operator() (stream_t &stream, detail::trace_directions const trace) const
| Prints the trace directions into the given stream.

## Detailed Description

Prints trace_directions as ascii or as utf8 to output stream.

The following table shows the printed symbol of a particular seqan3::detail::trace_directions:

trace direction | utf8 | ascii
--- | --- | ---
seqan3::detail::trace_directions::none | ↺ | N
seqan3::detail::trace_directions::diagonal | ↖ | D
seqan3::detail::trace_directions::up_open | ↑ | U
seqan3::detail::trace_directions::up | ⇡ | u
seqan3::detail::trace_directions::left_open | ← | L
seqan3::detail::trace_directions::left | ⇠ | l

## Member Function Documentation

## operator()() [1/2]

template<typename stream_t>

void seqan3::trace_directions_printer< detail::trace_directions >::operator() | ( | stream_t & | stream,
|  | detail::trace_directions const | trace ) const

inline constexpr

Prints the trace directions into the given stream.

This overload is only available if the stream has no member function flags2. In this case it will use ascii characters to print the trace.

Template Parameters

  stream_t | The type of the stream.

Parameters

  stream | The stream to print to.
  trace | The trace directions to print.

## operator()() [2/2]

template<typename stream_t>
requires detail::is_type_specialisation_of_v<stream_t, debug_stream_type>

void seqan3::trace_directions_printer< detail::trace_directions >::operator() | ( | stream_t & | stream,
|  | detail::trace_directions const | trace ) const

inline constexpr

Prints the trace directions into the given stream.

This overload is only available if the stream has a member function flags2 that returns a fmtflags2. Using the flags2() member function allows to print the trace with unicode characters if seqan3::fmtflags2::utf8 is set to the seqan3::debug_stream.

Template Parameters

  stream_t | The type of the stream.

Parameters

  stream | The stream to print to.
  trace | The trace directions to print.

The documentation for this struct was generated from the following file:

- trace_directions.hpp

Hide me